Astrocal
API ReferenceWaitlistV1Waitlist

List waitlist entries

Returns a paginated list of waitlist entries for an event type. Supports filtering by status and start_time.

GET
/v1/waitlist

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Query Parameters

limit?integer
starting_after?string
event_type_id*string
status?string
start_time?string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/waitlist?event_type_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "data": [
    {
      "id": "string",
      "event_type_id": "a4ec4c3c-a3de-4a8a-983f-1791e72cea83",
      "start_time": "string",
      "duration_minutes": 0,
      "status": "waiting",
      "position": 0,
      "invitee_name": "string",
      "invitee_email": "string",
      "invitee_timezone": "string",
      "notes": "string",
      "metadata": {
        "property1": null,
        "property2": null
      },
      "cancel_token": "string",
      "booking_id": "b0ae0641-0cd4-4f7f-8550-dcd550941f4a",
      "promoted_at": "string",
      "expires_at": "string",
      "is_test": true,
      "created_at": "string"
    }
  ],
  "has_more": true
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}